
QGIS Application - Bug report #14660

Check Geometries plugin: 'When a row is selected, move to: Error' shows blank canvas

2016-04-11 01:13 PM - R. R.

Status: Closed

Priority: Normal

Assignee: Sandro Mani

Category: C++ plugins/Geometry Checker

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22624

Description

In some cases the 'When a row is select, move to: Error' option doesn't show any features.I've uploaded sample geometries and a .mp4

screencast with the steps taken to reproduce the issue.

History

#1 - 2016-04-19 12:36 AM - Sandro Mani

The issue is that the area of the feature is so small that the centroid computation code suffers from numerical instabilities. On my todo list, as soon as I find

some time.

#2 - 2016-06-02 12:50 AM - Sandro Mani

- Status changed from Open to Closed

A fix for this has landed, see commit:857d544

Files

SHP.zip 19.2 KB 2016-04-11 R. R.

check_geometries.mp4 1.69 MB 2016-04-11 R. R.
